<p>
  <img width="100%" src="https://assets.solidjs.com/banner?type=Primitives&background=tiles&project=%20" alt="Solid Primitives">
</p>

# Solid Primitives

[![pnpm](https://img.shields.io/badge/maintained%20with-pnpm-cc00ff.svg?style=for-the-badge&logo=pnpm)](https://pnpm.io/)
[![turborepo](https://img.shields.io/badge/built%20with-turborepo-cc00ff.svg?style=for-the-badge&logo=turborepo)](https://turborepo.org/)<!-- INSERT-NPM-DOWNLOADS-BADGE:START -->
[![combined-downloads](https://img.shields.io/endpoint?style=for-the-badge&url=https://combined-npm-downloads.deno.dev/@solid-primitives/analytics,@solid-primitives/context,@solid-primitives/devices,@solid-primitives/event-dispatcher,@solid-primitives/event-props,@solid-primitives/fetch,@solid-primitives/fullscreen,@solid-primitives/gestures,@solid-primitives/i18n,@solid-primitives/idle,@solid-primitives/input-mask,@solid-primitives/keyed,@solid-primitives/permission,@solid-primitives/platform,@solid-primitives/scheduled,@solid-primitives/script-loader,@solid-primitives/selection,@solid-primitives/share,@solid-primitives/storage,@solid-primitives/timer,@solid-primitives/tween,@solid-primitives/utils,@solid-primitives/websocket,@solid-primitives/workers)](https://dash.deno.com/playground/combined-npm-downloads)
<!-- INSERT-NPM-DOWNLOADS-BADGE:END -->

A project that strives to develop high-quality, community contributed Solid primitives. All utilities are well tested and continuously maintained. Every contribution to the repository is checked for quality and maintained to the highest degree of excellence. The ultimate goal is to extend Solid's primary and secondary primitives with a set of tertiary primitives.

While Solid Primitives is not officially maintained by the SolidJS Core Team, it is managed by members of the SolidJS core and ecosystem teams. This separation allows the core library to iterate independently while allowing Solid Primitives to remain in-sync with future plans.

## Philosophy

The goal of Solid Primitives is to wrap client and server side functionality to provide a fully reactive API layer. Ultimately the more rooted our tertiary primitives are, the more they act as foundation within Solid's base ecosystem. With well built and re-used foundations, the smaller (aggregate tree-shaking benefits), more concise (readability) and stable (consistent and managed testing + maintenance) applications can be overall.

## Primitives

<!-- INSERT-PRIMITIVES-TABLE:START -->
|Name|Stage|Primitives|Size|NPM|
|----|----|----|----|----|
|<h4>*Inputs*</h4>|
|[active-element](https://github.com/solidjs-community/solid-primitives/tree/main/packages/active-element#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createActiveElement](https://github.com/solidjs-community/solid-primitives/tree/main/packages/active-element#createactiveelement)<br />[createFocusSignal](https://github.com/solidjs-community/solid-primitives/tree/main/packages/active-element#createfocussignal)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/active-element?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/active-element)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/active-element?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/active-element)|
|[input-mask](https://github.com/solidjs-community/solid-primitives/tree/main/packages/input-mask#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-1.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createInputMask](https://github.com/solidjs-community/solid-primitives/tree/main/packages/input-mask#createinputmask)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/input-mask?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/input-mask)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/input-mask?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/input-mask)|
|[keyboard](https://github.com/solidjs-community/solid-primitives/tree/main/packages/keyboard#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-1.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[useKeyDownList](https://github.com/solidjs-community/solid-primitives/tree/main/packages/keyboard#usekeydownlist)<br />[useCurrentlyHeldKey](https://github.com/solidjs-community/solid-primitives/tree/main/packages/keyboard#usecurrentlyheldkey)<br />[useKeyDownSequence](https://github.com/solidjs-community/solid-primitives/tree/main/packages/keyboard#usekeydownsequence)<br />[createKeyHold](https://github.com/solidjs-community/solid-primitives/tree/main/packages/keyboard#createkeyhold)<br />[createShortcut](https://github.com/solidjs-community/solid-primitives/tree/main/packages/keyboard#createshortcut)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/keyboard?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/keyboard)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/keyboard?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/keyboard)|
|[mouse](https://github.com/solidjs-community/solid-primitives/tree/main/packages/mouse#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createMousePosition](https://github.com/solidjs-community/solid-primitives/tree/main/packages/mouse#createmouseposition)<br />[createPositionToElement](https://github.com/solidjs-community/solid-primitives/tree/main/packages/mouse#createpositiontoelement)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/mouse?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/mouse)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/mouse?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/mouse)|
|[pointer](https://github.com/solidjs-community/solid-primitives/tree/main/packages/pointer#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-2.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createPointerListeners](https://github.com/solidjs-community/solid-primitives/tree/main/packages/pointer#createpointerlisteners)<br />[createPerPointerListeners](https://github.com/solidjs-community/solid-primitives/tree/main/packages/pointer#createperpointerlisteners)<br />[createPointerPosition](https://github.com/solidjs-community/solid-primitives/tree/main/packages/pointer#createpointerposition)<br />[createPointerList](https://github.com/solidjs-community/solid-primitives/tree/main/packages/pointer#createpointerlist)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/pointer?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/pointer)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/pointer?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/pointer)|
|[scroll](https://github.com/solidjs-community/solid-primitives/tree/main/packages/scroll#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-2.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createScrollPosition](https://github.com/solidjs-community/solid-primitives/tree/main/packages/scroll#createscrollposition)<br />[useWindowScrollPosition](https://github.com/solidjs-community/solid-primitives/tree/main/packages/scroll#usewindowscrollposition)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/scroll?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/scroll)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/scroll?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/scroll)|
|[selection](https://github.com/solidjs-community/solid-primitives/tree/main/packages/selection#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-0.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createSelection](https://github.com/solidjs-community/solid-primitives/tree/main/packages/selection#createselection)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/selection?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/selection)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/selection?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/selection)|
|<h4>*Display & Media*</h4>|
|[audio](https://github.com/solidjs-community/solid-primitives/tree/main/packages/audio#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[makeAudio](https://github.com/solidjs-community/solid-primitives/tree/main/packages/audio#makeaudio)<br />[makeAudioPlayer](https://github.com/solidjs-community/solid-primitives/tree/main/packages/audio#makeaudioplayer)<br />[createAudio](https://github.com/solidjs-community/solid-primitives/tree/main/packages/audio#createaudio)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/audio?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/audio)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/audio?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/audio)|
|[bounds](https://github.com/solidjs-community/solid-primitives/tree/main/packages/bounds#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-1.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createElementBounds](https://github.com/solidjs-community/solid-primitives/tree/main/packages/bounds#createelementbounds)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/bounds?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/bounds)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/bounds?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/bounds)|
|[devices](https://github.com/solidjs-community/solid-primitives/tree/main/packages/devices#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createDevices](https://github.com/solidjs-community/solid-primitives/tree/main/packages/devices#createdevices)<br />[createMicrophones](https://github.com/solidjs-community/solid-primitives/tree/main/packages/devices#createmicrophones)<br />[createSpeakers](https://github.com/solidjs-community/solid-primitives/tree/main/packages/devices#createspeakers)<br />[createCameras](https://github.com/solidjs-community/solid-primitives/tree/main/packages/devices#createcameras)<br />[createAccelerometer](https://github.com/solidjs-community/solid-primitives/tree/main/packages/devices#createaccelerometer)<br />[createGyroscope](https://github.com/solidjs-community/solid-primitives/tree/main/packages/devices#creategyroscope)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/devices?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/devices)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/devices?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/devices)|
|[idle](https://github.com/solidjs-community/solid-primitives/tree/main/packages/idle#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-0.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createIdleTimer](https://github.com/solidjs-community/solid-primitives/tree/main/packages/idle#createidletimer)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/idle?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/idle)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/idle?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/idle)|
|[intersection-observer](https://github.com/solidjs-community/solid-primitives/tree/main/packages/intersection-observer#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[makeIntersectionObserver](https://github.com/solidjs-community/solid-primitives/tree/main/packages/intersection-observer#makeintersectionobserver)<br />[createIntersectionObserver](https://github.com/solidjs-community/solid-primitives/tree/main/packages/intersection-observer#createintersectionobserver)<br />[createViewportObserver](https://github.com/solidjs-community/solid-primitives/tree/main/packages/intersection-observer#createviewportobserver)<br />[createVisibilityObserver](https://github.com/solidjs-community/solid-primitives/tree/main/packages/intersection-observer#createvisibilityobserver)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/intersection-observer?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/intersection-observer)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/intersection-observer?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/intersection-observer)|
|[media](https://github.com/solidjs-community/solid-primitives/tree/main/packages/media#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[makeMediaQueryListener](https://github.com/solidjs-community/solid-primitives/tree/main/packages/media#makemediaquerylistener)<br />[createMediaQuery](https://github.com/solidjs-community/solid-primitives/tree/main/packages/media#createmediaquery)<br />[createBreakpoints](https://github.com/solidjs-community/solid-primitives/tree/main/packages/media#createbreakpoints)<br />[usePrefersDark](https://github.com/solidjs-community/solid-primitives/tree/main/packages/media#useprefersdark)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/media?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/media)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/media?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/media)|
|[page-visibility](https://github.com/solidjs-community/solid-primitives/tree/main/packages/page-visibility#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createPageVisibility](https://github.com/solidjs-community/solid-primitives/tree/main/packages/page-visibility#createpagevisibility)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/page-visibility?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/page-visibility)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/page-visibility?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/page-visibility)|
|[resize-observer](https://github.com/solidjs-community/solid-primitives/tree/main/packages/resize-observer#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createResizeObserver](https://github.com/solidjs-community/solid-primitives/tree/main/packages/resize-observer#createresizeobserver)<br />[createWindowSize](https://github.com/solidjs-community/solid-primitives/tree/main/packages/resize-observer#createwindowsize)<br />[createElementSize](https://github.com/solidjs-community/solid-primitives/tree/main/packages/resize-observer#createelementsize)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/resize-observer?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/resize-observer)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/resize-observer?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/resize-observer)|
|[styles](https://github.com/solidjs-community/solid-primitives/tree/main/packages/styles#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-0.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createRemSize](https://github.com/solidjs-community/solid-primitives/tree/main/packages/styles#createremsize)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/styles?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/styles)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/styles?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/styles)|
|<h4>*Browser APIs*</h4>|
|[clipboard](https://github.com/solidjs-community/solid-primitives/tree/main/packages/clipboard#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[makeClipboard](https://github.com/solidjs-community/solid-primitives/tree/main/packages/clipboard#makeclipboard)<br />[createClipboard](https://github.com/solidjs-community/solid-primitives/tree/main/packages/clipboard#createclipboard)<br />[copyToClipboard](https://github.com/solidjs-community/solid-primitives/tree/main/packages/clipboard#copytoclipboard)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/clipboard?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/clipboard)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/clipboard?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/clipboard)|
|[event-listener](https://github.com/solidjs-community/solid-primitives/tree/main/packages/event-listener#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createEventListener](https://github.com/solidjs-community/solid-primitives/tree/main/packages/event-listener#createeventlistener)<br />[createEventSignal](https://github.com/solidjs-community/solid-primitives/tree/main/packages/event-listener#createeventsignal)<br />[createEventListenerMap](https://github.com/solidjs-community/solid-primitives/tree/main/packages/event-listener#createeventlistenermap)<br />[WindowEventListener](https://github.com/solidjs-community/solid-primitives/tree/main/packages/event-listener#windoweventlistener)<br />[DocumentEventListener](https://github.com/solidjs-community/solid-primitives/tree/main/packages/event-listener#documenteventlistener)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/event-listener?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/event-listener)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/event-listener?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/event-listener)|
|[event-props](https://github.com/solidjs-community/solid-primitives/tree/main/packages/event-props#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-2.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createEventProps](https://github.com/solidjs-community/solid-primitives/tree/main/packages/event-props#createeventprops)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/event-props?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/event-props)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/event-props?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/event-props)|
|[fullscreen](https://github.com/solidjs-community/solid-primitives/tree/main/packages/fullscreen#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createFullscreen](https://github.com/solidjs-community/solid-primitives/tree/main/packages/fullscreen#createfullscreen)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/fullscreen?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/fullscreen)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/fullscreen?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/fullscreen)|
|[geolocation](https://github.com/solidjs-community/solid-primitives/tree/main/packages/geolocation#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createGeolocation](https://github.com/solidjs-community/solid-primitives/tree/main/packages/geolocation#creategeolocation)<br />[createGeolocationWatcher](https://github.com/solidjs-community/solid-primitives/tree/main/packages/geolocation#creategeolocationwatcher)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/geolocation?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/geolocation)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/geolocation?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/geolocation)|
|[mutation-observer](https://github.com/solidjs-community/solid-primitives/tree/main/packages/mutation-observer#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createMutationObserver](https://github.com/solidjs-community/solid-primitives/tree/main/packages/mutation-observer#createmutationobserver)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/mutation-observer?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/mutation-observer)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/mutation-observer?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/mutation-observer)|
|[permission](https://github.com/solidjs-community/solid-primitives/tree/main/packages/permission#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createPermission](https://github.com/solidjs-community/solid-primitives/tree/main/packages/permission#createpermission)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/permission?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/permission)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/permission?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/permission)|
|[storage](https://github.com/solidjs-community/solid-primitives/tree/main/packages/storage#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createStorage](https://github.com/solidjs-community/solid-primitives/tree/main/packages/storage#createstorage)<br />[createCookieStorage](https://github.com/solidjs-community/solid-primitives/tree/main/packages/storage#createcookiestorage)<br />[createAsyncStorage](https://github.com/solidjs-community/solid-primitives/tree/main/packages/storage#createasyncstorage)<br />[createStorageSignal](https://github.com/solidjs-community/solid-primitives/tree/main/packages/storage#createstoragesignal)<br />[createLocalStorage](https://github.com/solidjs-community/solid-primitives/tree/main/packages/storage#createlocalstorage)<br />[createSessionStorage](https://github.com/solidjs-community/solid-primitives/tree/main/packages/storage#createsessionstorage)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/storage?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/storage)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/storage?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/storage)|
|[timer](https://github.com/solidjs-community/solid-primitives/tree/main/packages/timer#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[makeTimer](https://github.com/solidjs-community/solid-primitives/tree/main/packages/timer#maketimer)<br />[createTimer](https://github.com/solidjs-community/solid-primitives/tree/main/packages/timer#createtimer)<br />[createTimeoutLoop](https://github.com/solidjs-community/solid-primitives/tree/main/packages/timer#createtimeoutloop)<br />[createPolled](https://github.com/solidjs-community/solid-primitives/tree/main/packages/timer#createpolled)<br />[createIntervalCounter](https://github.com/solidjs-community/solid-primitives/tree/main/packages/timer#createintervalcounter)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/timer?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/timer)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/timer?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/timer)|
|[upload](https://github.com/solidjs-community/solid-primitives/tree/main/packages/upload#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-0.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createFileUploader](https://github.com/solidjs-community/solid-primitives/tree/main/packages/upload#createfileuploader)<br />[createDropzone](https://github.com/solidjs-community/solid-primitives/tree/main/packages/upload#createdropzone)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/upload?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/upload)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/upload?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/upload)|
|[workers](https://github.com/solidjs-community/solid-primitives/tree/main/packages/workers#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-0.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createWorker](https://github.com/solidjs-community/solid-primitives/tree/main/packages/workers#createworker)<br />[createWorkerPool](https://github.com/solidjs-community/solid-primitives/tree/main/packages/workers#createworkerpool)<br />[createSignaledWorker](https://github.com/solidjs-community/solid-primitives/tree/main/packages/workers#createsignaledworker)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/workers?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/workers)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/workers?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/workers)|
|<h4>*Network*</h4>|
|[connectivity](https://github.com/solidjs-community/solid-primitives/tree/main/packages/connectivity#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-2.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createConnectivitySignal](https://github.com/solidjs-community/solid-primitives/tree/main/packages/connectivity#createconnectivitysignal)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/connectivity?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/connectivity)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/connectivity?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/connectivity)|
|[fetch](https://github.com/solidjs-community/solid-primitives/tree/main/packages/fetch#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createFetch](https://github.com/solidjs-community/solid-primitives/tree/main/packages/fetch#createfetch)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/fetch?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/fetch)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/fetch?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/fetch)|
|[graphql](https://github.com/solidjs-community/solid-primitives/tree/main/packages/graphql#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createGraphQLClient](https://github.com/solidjs-community/solid-primitives/tree/main/packages/graphql#creategraphqlclient)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/graphql?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/graphql)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/graphql?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/graphql)|
|[stream](https://github.com/solidjs-community/solid-primitives/tree/main/packages/stream#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createStream](https://github.com/solidjs-community/solid-primitives/tree/main/packages/stream#createstream)<br />[createAmplitudeStream](https://github.com/solidjs-community/solid-primitives/tree/main/packages/stream#createamplitudestream)<br />[createMediaPermissionRequest](https://github.com/solidjs-community/solid-primitives/tree/main/packages/stream#createmediapermissionrequest)<br />[createAmplitudeFromStream](https://github.com/solidjs-community/solid-primitives/tree/main/packages/stream#createamplitudefromstream)<br />[createScreen](https://github.com/solidjs-community/solid-primitives/tree/main/packages/stream#createscreen)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/stream?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/stream)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/stream?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/stream)|
|<h4>*Utilities*</h4>|
|[context](https://github.com/solidjs-community/solid-primitives/tree/main/packages/context#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-2.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createContextProvider](https://github.com/solidjs-community/solid-primitives/tree/main/packages/context#createcontextprovider)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/context?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/context)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/context?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/context)|
|[cursor](https://github.com/solidjs-community/solid-primitives/tree/main/packages/cursor#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-0.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createElementCursor](https://github.com/solidjs-community/solid-primitives/tree/main/packages/cursor#createelementcursor)<br />[createBodyCursor](https://github.com/solidjs-community/solid-primitives/tree/main/packages/cursor#createbodycursor)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/cursor?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/cursor)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/cursor?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/cursor)|
|[date](https://github.com/solidjs-community/solid-primitives/tree/main/packages/date#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createDate](https://github.com/solidjs-community/solid-primitives/tree/main/packages/date#createdate)<br />[createDateNow](https://github.com/solidjs-community/solid-primitives/tree/main/packages/date#createdatenow)<br />[createTimeDifference](https://github.com/solidjs-community/solid-primitives/tree/main/packages/date#createtimedifference)<br />[createTimeDifferenceFromNow](https://github.com/solidjs-community/solid-primitives/tree/main/packages/date#createtimedifferencefromnow)<br />[createTimeAgo](https://github.com/solidjs-community/solid-primitives/tree/main/packages/date#createtimeago)<br />[createCountdown](https://github.com/solidjs-community/solid-primitives/tree/main/packages/date#createcountdown)<br />[createCountdownFromNow](https://github.com/solidjs-community/solid-primitives/tree/main/packages/date#createcountdownfromnow)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/date?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/date)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/date?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/date)|
|[event-bus](https://github.com/solidjs-community/solid-primitives/tree/main/packages/event-bus#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-2.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createSimpleEmitter](https://github.com/solidjs-community/solid-primitives/tree/main/packages/event-bus#createsimpleemitter)<br />[createEmitter](https://github.com/solidjs-community/solid-primitives/tree/main/packages/event-bus#createemitter)<br />[createEventBus](https://github.com/solidjs-community/solid-primitives/tree/main/packages/event-bus#createeventbus)<br />[createEventHub](https://github.com/solidjs-community/solid-primitives/tree/main/packages/event-bus#createeventhub)<br />[createEventStack](https://github.com/solidjs-community/solid-primitives/tree/main/packages/event-bus#createeventstack)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/event-bus?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/event-bus)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/event-bus?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/event-bus)|
|[event-dispatcher](https://github.com/solidjs-community/solid-primitives/tree/main/packages/event-dispatcher#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-0.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createEventDispatcher](https://github.com/solidjs-community/solid-primitives/tree/main/packages/event-dispatcher#createeventdispatcher)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/event-dispatcher?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/event-dispatcher)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/event-dispatcher?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/event-dispatcher)|
|[i18n](https://github.com/solidjs-community/solid-primitives/tree/main/packages/i18n#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createI18nContext](https://github.com/solidjs-community/solid-primitives/tree/main/packages/i18n#createi18ncontext)<br />[useI18n](https://github.com/solidjs-community/solid-primitives/tree/main/packages/i18n#usei18n)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/i18n?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/i18n)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/i18n?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/i18n)|
|[immutable](https://github.com/solidjs-community/solid-primitives/tree/main/packages/immutable#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-2.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[List of functions](https://github.com/solidjs-community/solid-primitives/tree/main/packages/immutable#list-of-functions)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/immutable?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/immutable)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/immutable?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/immutable)|
|[map](https://github.com/solidjs-community/solid-primitives/tree/main/packages/map#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-2.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[ReactiveMap](https://github.com/solidjs-community/solid-primitives/tree/main/packages/map#reactivemap)<br />[ReactiveWeakMap](https://github.com/solidjs-community/solid-primitives/tree/main/packages/map#reactiveweakmap)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/map?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/map)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/map?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/map)|
|[platform](https://github.com/solidjs-community/solid-primitives/tree/main/packages/platform#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-1.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[List of variables](https://github.com/solidjs-community/solid-primitives/tree/main/packages/platform#list-of-variables)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/platform?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/platform)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/platform?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/platform)|
|[promise](https://github.com/solidjs-community/solid-primitives/tree/main/packages/promise#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[promiseTimeout](https://github.com/solidjs-community/solid-primitives/tree/main/packages/promise#promisetimeout)<br />[raceTimeout](https://github.com/solidjs-community/solid-primitives/tree/main/packages/promise#racetimeout)<br />[until](https://github.com/solidjs-community/solid-primitives/tree/main/packages/promise#until)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/promise?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/promise)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/promise?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/promise)|
|[props](https://github.com/solidjs-community/solid-primitives/tree/main/packages/props#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[combineProps](https://github.com/solidjs-community/solid-primitives/tree/main/packages/props#combineprops)<br />[filterProps](https://github.com/solidjs-community/solid-primitives/tree/main/packages/props#filterprops)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/props?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/props)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/props?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/props)|
|[scheduled](https://github.com/solidjs-community/solid-primitives/tree/main/packages/scheduled#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-2.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[debounce](https://github.com/solidjs-community/solid-primitives/tree/main/packages/scheduled#debounce)<br />[throttle](https://github.com/solidjs-community/solid-primitives/tree/main/packages/scheduled#throttle)<br />[scheduleIdle](https://github.com/solidjs-community/solid-primitives/tree/main/packages/scheduled#scheduleidle)<br />[leading](https://github.com/solidjs-community/solid-primitives/tree/main/packages/scheduled#leading)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/scheduled?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/scheduled)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/scheduled?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/scheduled)|
|[script-loader](https://github.com/solidjs-community/solid-primitives/tree/main/packages/script-loader#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createScriptLoader](https://github.com/solidjs-community/solid-primitives/tree/main/packages/script-loader#createscriptloader)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/script-loader?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/script-loader)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/script-loader?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/script-loader)|
|[set](https://github.com/solidjs-community/solid-primitives/tree/main/packages/set#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-2.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[ReactiveSet](https://github.com/solidjs-community/solid-primitives/tree/main/packages/set#reactiveset)<br />[ReactiveWeakSet](https://github.com/solidjs-community/solid-primitives/tree/main/packages/set#reactiveweakset)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/set?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/set)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/set?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/set)|
|[share](https://github.com/solidjs-community/solid-primitives/tree/main/packages/share#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createSocialShare](https://github.com/solidjs-community/solid-primitives/tree/main/packages/share#createsocialshare)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/share?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/share)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/share?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/share)|
|<h4>*Reactivity*</h4>|
|[destructure](https://github.com/solidjs-community/solid-primitives/tree/main/packages/destructure#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-2.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[destructure](https://github.com/solidjs-community/solid-primitives/tree/main/packages/destructure#destructure)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/destructure?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/destructure)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/destructure?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/destructure)|
|[memo](https://github.com/solidjs-community/solid-primitives/tree/main/packages/memo#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createLatest](https://github.com/solidjs-community/solid-primitives/tree/main/packages/memo#createlatest)<br />[createWritableMemo](https://github.com/solidjs-community/solid-primitives/tree/main/packages/memo#createwritablememo)<br />[createLazyMemo](https://github.com/solidjs-community/solid-primitives/tree/main/packages/memo#createlazymemo)<br />[createAsyncMemo](https://github.com/solidjs-community/solid-primitives/tree/main/packages/memo#createasyncmemo)<br />[createDebouncedMemo](https://github.com/solidjs-community/solid-primitives/tree/main/packages/memo#createdebouncedmemo)<br />[createDebouncedMemoOn](https://github.com/solidjs-community/solid-primitives/tree/main/packages/memo#createdebouncedmemoon)<br />[createThrottledMemo](https://github.com/solidjs-community/solid-primitives/tree/main/packages/memo#createthrottledmemo)<br />[createPureReaction](https://github.com/solidjs-community/solid-primitives/tree/main/packages/memo#createpurereaction)<br />[createMemoCache](https://github.com/solidjs-community/solid-primitives/tree/main/packages/memo#creatememocache)<br />[createReducer](https://github.com/solidjs-community/solid-primitives/tree/main/packages/memo#createreducer)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/memo?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/memo)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/memo?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/memo)|
|[rootless](https://github.com/solidjs-community/solid-primitives/tree/main/packages/rootless#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-2.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createSubRoot](https://github.com/solidjs-community/solid-primitives/tree/main/packages/rootless#createsubroot)<br />[createCallback](https://github.com/solidjs-community/solid-primitives/tree/main/packages/rootless#createcallback)<br />[createDisposable](https://github.com/solidjs-community/solid-primitives/tree/main/packages/rootless#createdisposable)<br />[createSharedRoot](https://github.com/solidjs-community/solid-primitives/tree/main/packages/rootless#createsharedroot)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/rootless?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/rootless)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/rootless?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/rootless)|
|[signal-builders](https://github.com/solidjs-community/solid-primitives/tree/main/packages/signal-builders#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-2.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[List of builders](https://github.com/solidjs-community/solid-primitives/tree/main/packages/signal-builders#list-of-builders)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/signal-builders?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/signal-builders)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/signal-builders?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/signal-builders)|
|[trigger](https://github.com/solidjs-community/solid-primitives/tree/main/packages/trigger#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-0.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createTrigger](https://github.com/solidjs-community/solid-primitives/tree/main/packages/trigger#createtrigger)<br />[createTriggerCache](https://github.com/solidjs-community/solid-primitives/tree/main/packages/trigger#createtriggercache)<br />[createWeakTriggerCache](https://github.com/solidjs-community/solid-primitives/tree/main/packages/trigger#createweaktriggercache)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/trigger?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/trigger)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/trigger?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/trigger)|
|<h4>*Control Flow*</h4>|
|[keyed](https://github.com/solidjs-community/solid-primitives/tree/main/packages/keyed#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[keyArray](https://github.com/solidjs-community/solid-primitives/tree/main/packages/keyed#keyarray)<br />[Key](https://github.com/solidjs-community/solid-primitives/tree/main/packages/keyed#key)<br />[Entries](https://github.com/solidjs-community/solid-primitives/tree/main/packages/keyed#entries)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/keyed?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/keyed)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/keyed?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/keyed)|
|[range](https://github.com/solidjs-community/solid-primitives/tree/main/packages/range#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-1.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[repeat](https://github.com/solidjs-community/solid-primitives/tree/main/packages/range#repeat)<br />[mapRange](https://github.com/solidjs-community/solid-primitives/tree/main/packages/range#maprange)<br />[indexRange](https://github.com/solidjs-community/solid-primitives/tree/main/packages/range#indexrange)<br />[Repeat](https://github.com/solidjs-community/solid-primitives/tree/main/packages/range#repeat)<br />[Range](https://github.com/solidjs-community/solid-primitives/tree/main/packages/range#range)<br />[IndexRange](https://github.com/solidjs-community/solid-primitives/tree/main/packages/range#indexrange)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/range?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/range)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/range?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/range)|
|[refs](https://github.com/solidjs-community/solid-primitives/tree/main/packages/refs#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-1.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[mergeRefs](https://github.com/solidjs-community/solid-primitives/tree/main/packages/refs#mergerefs)<br />[elements](https://github.com/solidjs-community/solid-primitives/tree/main/packages/refs#elements)<br />[refs](https://github.com/solidjs-community/solid-primitives/tree/main/packages/refs#refs)<br />[mapRemoved](https://github.com/solidjs-community/solid-primitives/tree/main/packages/refs#mapremoved)<br />[Children](https://github.com/solidjs-community/solid-primitives/tree/main/packages/refs#children)<br />[Refs](https://github.com/solidjs-community/solid-primitives/tree/main/packages/refs#refs)<br />[Ref](https://github.com/solidjs-community/solid-primitives/tree/main/packages/refs#ref)<br />[unmount](https://github.com/solidjs-community/solid-primitives/tree/main/packages/refs#unmount)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/refs?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/refs)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/refs?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/refs)|
|<h4>*Animation*</h4>|
|[raf](https://github.com/solidjs-community/solid-primitives/tree/main/packages/raf#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createRAF](https://github.com/solidjs-community/solid-primitives/tree/main/packages/raf#createraf)<br />[targetFPS](https://github.com/solidjs-community/solid-primitives/tree/main/packages/raf#targetfps)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/raf?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/raf)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/raf?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/raf)|
|[tween](https://github.com/solidjs-community/solid-primitives/tree/main/packages/tween#readme)|[![STAGE](https://img.shields.io/endpoint?style=for-the-badge&label=&url=https%3A%2F%2Fraw.githubusercontent.com%2Fsolidjs-community%2Fsolid-primitives%2Fmain%2Fassets%2Fbadges%2Fstage-3.json)](https://github.com/solidjs-community/solid-primitives#contribution-process)|[createTween](https://github.com/solidjs-community/solid-primitives/tree/main/packages/tween#createtween)|[![SIZE](https://img.shields.io/bundlephobia/minzip/@solid-primitives/tween?style=for-the-badge&label=)](https://bundlephobia.com/package/@solid-primitives/tween)|[![VERSION](https://img.shields.io/npm/v/@solid-primitives/tween?style=for-the-badge&label=)](https://www.npmjs.com/package/@solid-primitives/tween)|

<!-- INSERT-PRIMITIVES-TABLE:END -->

## Contribution Process

Solid Primitives strives to provide idiomatic Solid principles but also allow room for innovation and experimentation. In a growing community many opinions and patterns merge together to produce a de facto standard. Managing opinions and expectations can be difficult. As a result, in November 2021 Solid Primitives implemented a ratification/approval tracking process roughly modelled on [TC39 Proposal Stage Process](https://tc39.es/process-document/). The following summarizes these stages briefly:

| Stage | Description                 |
| ----- | --------------------------- |
| X     | Deprecated or rejected      |
| 0     | Initial submission          |
| 1     | Demonstrations and examples |
| 2     | General use (experimental)  |
| 3     | Pre-shipping (final effort) |
| 4     | Accepted/shipped            |

Any primitive Stage 0-1 should be used with caution and with the understanding that the design or implementation may change. Beyond Stage 2 we make an effort to mitigate changes. If a primitive reaches Stage 2 it's likely to remain an official package with additional approvement until fully accepted and shipped.

## Design Maxims

Other frameworks have large and extremely well established ecosystems. Notably React which has a vast array of component and hooks. The amount of choice within the ecosystem is great but often these tools are built as one-offs resulting in often un-tested logic or are designed with narrow needs. Over time the less concise these building blocks are the more they tend to repeat themselves. Our goal with Primitives is to bring the community together to contribute, evolve and utilize a powerful centralize primitive foundation.

All our primitives are meant to be consistent and sustain a level of quality. We guarantee that each is created with the utmost care. Our primitives are:

1. Documented and follow a consistent style guide
2. Be well tested
3. Small, concise and practical as possible
4. A single primitive for a single purpose
5. No dependencies or as few as possible
6. SSR safe entries (or short-circuits where needed) provided
7. Wrap base level Browser APIs
8. Should be progressively improved for future features
9. Be focused on composition vs. isolation of logic
10. Community voice and needs guide road map and planning
11. Strong TypeScript support
12. Support for both CJS and ESM
13. Solid performance!

## Basic and Compound Primitives

Each primitive is designed with composition in mind. A major rule in designing our primitives is deciding that the interface of primitives should be composable or segmented. For this reason every API is intricately studied and considered to be composed (stacked with features) or decomposed into smaller units. Designing our primitives in this manner allows for better tree-shaking and extendable complexity only as needed. You should only ship what you have to by picking from existing primitives as your foundational building blocks.

Much of the design decisions in naming are best described in the [7 Lessons to Outlive React](https://www.youtube.com/watch?v=yLgq-Foc1EE&t=502s) talk by [swyx](https://www.swyx.io). We strive to follow a similar design pattern promoted by the React core team.

### `make` (non-reactive) vs `create` (reactive)

Solid uses the `create` prefix to define a primitive that provides reactive utility. Solid Primitives reinforces this pattern but in an effort to enhance composability we have also introduced the `make` prefix for identifying non-reactive foundation primitives. Having a non-reactive alternative means that the primitive does the bare essentials such as cleaning up events or interupting a process. ie. `makeTimer` will create and clean-up the scheduler, providing only a clear method. createTimer provides a properly reactive primitive that composes it.

### Managing Primitive Complexity

Solid Primitives is mostly about supplying 80-90% of the common-use cases for the end-user. We prefer to be less prescriptive than other hook libraries such as VueUse and supply granular solutions as opposed to monolithic primitives. The remaining 10-20% of complex use cases are likely not to be covered with this library. This is on purpose to limit the potential of bloat and extended complexity. This project strives to provide foundations and not cumulative solutions. We expect the broader ecosystem will fill the remaining need as further composition to this projects effort. This allows for just the right amount of prescription and opinion.

## NPM Release and Repository Structure

Solid Primitives is a large and growing project and the way we manage and release updates has been setup to suit the projects scope. The approach we've taken with organizing our packages and npm releases is more granular than other projects such as VueUse which ship all updates in a single release.

There are a number of benefits to this including small download sizes, reducing bloat and not shipping experimental/unnecessary primitives that users don't need or want locally. This does mean a bit more effort to install precisely what you need. As a team we've decided that this tradeoff is beneficial and valuable. 

## CLI Helpers

Available node scripts for managing packages and creating new ones:

- `pnpm run update-readme` - This will update the list of primitives by inspecting individual packages.
- `pnpm run new-package name-of-your-package` - A helper to setup a primitive template package.
- `pnpm run changeset` - This will create a changeset file for updated packages.

## Planned Primitives

### Display & Media

- createDragAndDrop

### Device

- createBattery

### Browser

- createHistory
- createWebShare (https://developer.mozilla.org/en-US/docs/Web/API/Navigator/share)
- createLocale

### Network

- createNotification
- createPush
- createConnectionObserver

### Inputs

- createGesture ([in progress](https://github.com/solidjs-community/solid-primitives/tree/main/packages/gestures))
- createCompositionObserver (CompositionEvent observer)
- createForm
- createInput
- createTouch

### Utilities

- createWorker ([in progress](https://github.com/solidjs-community/solid-primitives/tree/main/packages/workers))
- createQueue
- createEffectWhen
